# This file is part of SSHare.
#
# SSHare is free software: you can redistribute it and/or modify it under the terms of
# the GNU General Public License as published by the Free Software Foundation,
# either version 3 of the License, or (at your option) any later version.
#
# SSHare is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along with
# SSHare. If not, see <https://www.gnu.org/licenses/>.

from sshare.plugins.config import Argument
from sshare.plugins.config import NoDefault
from sshare.plugins.source import File

plugin_type = "source"

activate = { "file" }
args = {
    "file": Argument(help="Upload a file")
}

def get_source():
    file = File(config.file)
    if file.path.is_dir():
        logger.info(f"Uploading directory '{config.file}'")
    else:
        logger.info(f"Uploading file '{config.file}'")
    return file
